Anonymous Login
2018-12-15 13:35 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000388OpenClonkEngine - Controlspublic2016-05-01 20:32
ReporterRingwaul 
Assigned ToLuchs 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version8.0 
Summary0000388: Gamepad control inoperable with splitscreen
DescriptionWhen two players are on one computer, the second using a gamepad, the gamepad tries to control player 1 (all the controls issued to player 1 from player 2's gamepad are on the wrong buttons though, for instance, pressing the d-pad to walk left or right selects crew members instead).
TagsNo tags attached.
Attached Files

-Relationships
has duplicate 0000584closedNewton Gamepad 
has duplicate 0000642closedNewton 2 players 
+Relationships

-Notes

~0000931

Newton (administrator)

Yes, thats known. It is an incomplete feature. But good to know that I seem to be the only one where gamepad control does not work at all anymore.

~0000934

Ringwaul (developer)

Weird. Gamepad works 100% when I only use one player.

~0001401

aapo (reporter)

For me Gamepad works on single player game, but with splitscreen it doesn't do anything.

~0001600

Go2Hero (reporter)

I have it problems too.Please!Help!

~0001601

Newton (administrator)

This is not something that will be solved in a day. Also, there is probably no workaround for it so splitscreen can be officially declared as broken currently.

However, there is one thing you might try out:
1. Open the PlayerControls.txt in System.c4g
2. Select and copy the section starting with

    # ======================================================================= #
    # Dualshock-like gamepad (10-12 buttons, 1 D-Pad, 2 analog stick) #
    # ======================================================================= #
    #

3. Paste the copied section behind that section and change every Key=Joy1* entry into Key=Joy2* in that section. Change the name to Gamepad2_GamepadCon_IntQueue_

4. Save the file and select in the player options for one player the 1st Gamepad_GamepadCon_IntQueue_ and for the second player Gamepad2_GamepadCon_IntQueue_ as control.

~0001602

Go2Hero (reporter)

I have Windows 7 OS. Files .c4g not open. I can't run in notepad them.

~0001603

Newton (administrator)

you have to unpack the .c4g with c4group.exe:

1. Run cmd.exe with administrator privilegues (right-click: run as administrator)
2. go to the clonk directory: cd "C:\Program Files\OpenClonk"
3. save the original System.c4g: copy System.c4g System2.c4g
4. unpack the System.c4g: c4group.exe System.c4g -x

Now you can access the System.c4g as a directory. To play online, you will have to place the original System.c4g in its place again.

~0001604

Go2Hero (reporter)

http://s14.radikal.ru/i187/1102/02/f85401e436e0.jpg
What a problem?

~0002383

Newton (administrator)

Last edited: 2013-01-01 22:56

View 3 revisions

I'm assigning this to Zapper as a reminder for him that this doesn't work yet. He is currently working on the controls to make gamepad controls work again.

Perhaps you even dare to take a look at the engine code there as I'd like to spare Sven2 of control bugs as much as possible. Control stuff is coming out of his ears already.

~0005091

Luchs (administrator)

This was fixed when I merged my gamepad branch. Gamepad controls still aren't great and the split screen hud is broken, but controls go to the right players.
+Notes

-Issue History
Date Modified Username Field Change
2010-08-23 20:13 Ringwaul New Issue
2010-08-23 20:17 Newton Note Added: 0000931
2010-08-24 17:58 Ringwaul Note Added: 0000934
2010-12-13 11:32 aapo Note Added: 0001401
2011-02-24 22:38 Newton Relationship added has duplicate 0000584
2011-02-25 09:40 Go2Hero Note Added: 0001600
2011-02-25 10:43 Newton Note Added: 0001601
2011-02-25 10:52 Go2Hero Note Added: 0001602
2011-02-26 11:54 Newton Note Added: 0001603
2011-02-26 13:50 Go2Hero Note Added: 0001604
2011-09-04 19:24 Newton Relationship added has duplicate 0000642
2013-01-01 22:54 Newton Note Added: 0002383
2013-01-01 22:55 Newton Note Edited: 0002383 View Revisions
2013-01-01 22:56 Newton Note Edited: 0002383 View Revisions
2013-01-01 22:56 Newton Assigned To => Zapper
2013-01-01 22:56 Newton Status new => assigned
2016-01-29 16:28 Zapper Assigned To Zapper =>
2016-01-29 16:28 Zapper Status assigned => new
2016-05-01 20:30 Luchs Assigned To => Luchs
2016-05-01 20:30 Luchs Status new => assigned
2016-05-01 20:32 Luchs Note Added: 0005091
2016-05-01 20:32 Luchs Status assigned => resolved
2016-05-01 20:32 Luchs Fixed in Version => 8.0
2016-05-01 20:32 Luchs Resolution open => fixed
+Issue History